Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class FocusRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.FocusRendererBase

All Implemented Interfaces:
  FocusRendererInterface

Direct Known Subclasses:
  FocusRenderer

    public class FocusRendererBase

extends RendererBase
implements FocusRendererInterface

Field Summary
`static String` | `RENDERER_TYPE`

Constructor Summary
`FocusRendererBase()`

Method Summary
`String` | `getFocusCandidatesAsString(javax.faces.context.FacesContext context, AbstractFocus component)` Get space-separated list of clientIds as component candidates to be focused on client.
`void` | `postAddToView(javax.faces.context.FacesContext context, AbstractFocus component)`
`void` | `renderOncompleteScript(javax.faces.context.FacesContext context, String script)` This method ensures that component which should be focused will be present in the page in the time of running script (oncomplete).
`boolean` | `shouldApply(javax.faces.context.FacesContext context, AbstractFocus component)` Determines whether the currently rendered Focus should be rendered or not based on if request is postback and if Focus belongs to form which has been submitted.

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDERER_TYPE

    public static final String RENDERER_TYPE

See Also:
  Constant Field Values

Constructor Detail

### FocusRendererBase

    public FocusRendererBase()

Method Detail

### shouldApply

    public boolean shouldApply(javax.faces.context.FacesContext context,
                               AbstractFocus component)

  Determines whether the currently rendered Focus should be rendered or not based on if request is postback and if Focus belongs to form which has been submitted.

### getFocusCandidatesAsString

    public String getFocusCandidatesAsString(javax.faces.context.FacesContext context,
                                             AbstractFocus component)

  Get space-separated list of clientIds as component candidates to be focused on client.

### postAddToView

    public void postAddToView(javax.faces.context.FacesContext context,
                              AbstractFocus component)

  Specified by:
    `postAddToView` in interface `FocusRendererInterface`

### renderOncompleteScript

    public void renderOncompleteScript(javax.faces.context.FacesContext context,
                                       String script)

  This method ensures that component which should be focused will be present in the page in the time of running script (oncomplete).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.